Debian Bug report logs - #702222
ITP: pelican -- blog aware, static website generator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Mon, 4 Mar 2013 09:54:02 UTC

Owned by: "Ondřej Surý" <ondrej@debian.org>

Severity: wishlist

Fixed in version pelican/3.2.1-1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Mon, 04 Mar 2013 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Mon, 04 Mar 2013 09:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pelican -- blog aware, static website generator
Date: Mon, 04 Mar 2013 10:51:35 +0100
Package: wnpp
Severity: wishlist
Owner: "Ondřej Surý" <ondrej@debian.org>

* Package name    : pelican
  Version         : 3.1.1
  Upstream Author : Alexis Métaireau
* URL             : http://getpelican.com/
* License         : GNU AGPLv3
  Programming Lang: Python
  Description     : static blog generator in Python

 Pelican is a static site generator, written in Python.  It allows you
 to write your weblog entries directly with your editor of choice in
 reStructuredText, Markdown, or AsciiDoc, and generates completely
 static output that is easy to host anywhere.  Pelican includes a
 simple CLI tool to (re)generate the weblog and it is easy to
 interface with DVCSes and web hooks.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Tue, 02 Apr 2013 07:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Tue, 02 Apr 2013 07:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 702222@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 702222-submitter@bugs.debian.org
Cc: 702222@bugs.debian.org
Subject: Re: ITP: pelican -- blog aware, static website generator
Date: Tue, 02 Apr 2013 09:51:06 +0200
any news/progress on this?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Message sent on to Ondřej Surý <ondrej@debian.org>:
Bug#702222. (Tue, 02 Apr 2013 07:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Tue, 02 Apr 2013 08:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Tue, 02 Apr 2013 08:00:04 GMT) Full text and rfc822 format available.

Message #18 received at 702222@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: daniel.baumann@progress-technologies.net, 702222@bugs.debian.org
Subject: Re: Bug#702222: ITP: pelican -- blog aware, static website generator
Date: Tue, 2 Apr 2013 09:57:59 +0200
[Message part 1 (text/plain, inline)]
The licensing issue with Smashing Magazine css file was solved, but not yet
pushed to the git or next release:

https://github.com/getpelican/pelican/blob/master/pelican/themes/notmyidea/static/css/main.css

O.


On Tue, Apr 2, 2013 at 9:51 AM, Daniel Baumann <
daniel.baumann@progress-technologies.net> wrote:

> any news/progress on this?
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>



-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Tue, 02 Apr 2013 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Tue, 02 Apr 2013 08:21:04 GMT) Full text and rfc822 format available.

Message #23 received at 702222@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Ondřej Surý <ondrej@sury.org>
Cc: 702222@bugs.debian.org
Subject: Re: Bug#702222: ITP: pelican -- blog aware, static website generator
Date: Tue, 02 Apr 2013 10:20:03 +0200
On 04/02/2013 09:57 AM, Ondřej Surý wrote:
> The licensing issue with Smashing Magazine css file was solved, but not
> yet pushed to the git or next release:

any chance you could upload a +dfsg package in the meantime?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Tue, 02 Apr 2013 08:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Tue, 02 Apr 2013 08:39:07 GMT) Full text and rfc822 format available.

Message #28 received at 702222@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: daniel.baumann@progress-technologies.net
Cc: 702222@bugs.debian.org
Subject: Re: Bug#702222: ITP: pelican -- blog aware, static website generator
Date: Tue, 2 Apr 2013 10:35:49 +0200
[Message part 1 (text/plain, inline)]
Why?

The upstream has solved the licensing and they just need to release new
version with fixed license.  There's no hurry to meet some deadline here...

O.


On Tue, Apr 2, 2013 at 10:20 AM, Daniel Baumann <
daniel.baumann@progress-technologies.net> wrote:

> On 04/02/2013 09:57 AM, Ondřej Surý wrote:
> > The licensing issue with Smashing Magazine css file was solved, but not
> > yet pushed to the git or next release:
>
> any chance you could upload a +dfsg package in the meantime?
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>



-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Tue, 02 Apr 2013 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Tue, 02 Apr 2013 09:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 702222@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Ondřej Surý <ondrej@sury.org>
Cc: 702222@bugs.debian.org
Subject: Re: Bug#702222: ITP: pelican -- blog aware, static website generator
Date: Tue, 02 Apr 2013 11:53:54 +0200
On 04/02/2013 10:35 AM, Ondřej Surý wrote:
> Why?

because i'd like to use it, as a debian package, and i prefere not
packaging it locally myself 'uselessly' if it's avoidable.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Thu, 23 May 2013 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Thu, 23 May 2013 10:45:04 GMT) Full text and rfc822 format available.

Message #38 received at 702222@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 702222@bugs.debian.org
Subject: Re: ITP: pelican -- blog aware, static website generator
Date: Thu, 23 May 2013 12:42:00 +0200
fyi, there's version 3.2 out since last months.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 23 May 2013 20:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Wed, 29 May 2013 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Chopin <chopin.simon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Wed, 29 May 2013 09:36:05 GMT) Full text and rfc822 format available.

Message #45 received at 702222@bugs.debian.org (full text, mbox):

From: Simon Chopin <chopin.simon@gmail.com>
To: 702222@bugs.debian.org, ondrej@debian.org
Subject: ITP: Pelican -- Any news?
Date: Wed, 29 May 2013 11:32:59 +0200
[Message part 1 (text/plain, inline)]
Hi Ondrej,

It seems the license issue is solved at least in the 2.3.1 release, any
news on this ITP?

Cheers,
Simon

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>:
Bug#702222; Package wnpp. (Wed, 29 May 2013 09:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Ondřej Surý" <ondrej@debian.org>. (Wed, 29 May 2013 09:42:04 GMT) Full text and rfc822 format available.

Message #50 received at 702222@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Simon Chopin <chopin.simon@gmail.com>, 702222@bugs.debian.org
Subject: Re: Bug#702222: ITP: Pelican -- Any news?
Date: Wed, 29 May 2013 11:39:30 +0200
[Message part 1 (text/plain, inline)]
ftp-master.debian.org/new.html


On Wed, May 29, 2013 at 11:32 AM, Simon Chopin <chopin.simon@gmail.com>wrote:

> Hi Ondrej,
>
> It seems the license issue is solved at least in the 2.3.1 release, any
> news on this ITP?
>
> Cheers,
> Simon
>
>


-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 12:03:24 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Fri, 31 May 2013 12:03:24 GMT) Full text and rfc822 format available.

Message #55 received at 702222-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 702222-close@bugs.debian.org
Subject: Bug#702222: fixed in pelican 3.2.1-1
Date: Fri, 31 May 2013 12:00:15 +0000
Source: pelican
Source-Version: 3.2.1-1

We believe that the bug you reported is fixed in the latest version of
pelican, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702222@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated pelican package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Mar 2013 11:31:08 +0100
Source: pelican
Binary: python-pelican
Architecture: source all
Version: 3.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 python-pelican - blog aware, static website generator
Closes: 702222
Changes: 
 pelican (3.2.1-1) unstable; urgency=low
 .
   * Initial packaging (Closes: #702222)
Checksums-Sha1: 
 747650926d9327b7e974ccffd5d46c61190c8d52 1091 pelican_3.2.1-1.dsc
 0dc8cf9275ecf1b3ae0433b15ec804a93000e876 9045889 pelican_3.2.1.orig.tar.gz
 a536b57486a3f6b557d070f0870f928f8bfcd2b1 12743 pelican_3.2.1-1.debian.tar.gz
 6240bbbf238255d7fd1b56847fb103eeb07254f0 189914 python-pelican_3.2.1-1_all.deb
Checksums-Sha256: 
 aff1a04f91b1ceda33f382bbb5f551fadee3c3ec1ebc6e11c3a45b355928e24f 1091 pelican_3.2.1-1.dsc
 280ff379d11690379aba9bc04280cb97bc60064e1eb61f40cfca5f576aee7070 9045889 pelican_3.2.1.orig.tar.gz
 0196ec7d71983bd8f9ccb17afadabbe79768ce753e0e90987bb843b30b9bdcfb 12743 pelican_3.2.1-1.debian.tar.gz
 3e5e91a7773be897731981a015dffd7c63bf673136b0463ab822ca2e36b460bc 189914 python-pelican_3.2.1-1_all.deb
Files: 
 cc96f7c540e1c92c80ffb592345b2674 1091 python optional pelican_3.2.1-1.dsc
 25ab24ad1ec65f869764776af3ada250 9045889 python optional pelican_3.2.1.orig.tar.gz
 eb82a23dbe636bd52fb6aa77b2285824 12743 python optional pelican_3.2.1-1.debian.tar.gz
 4c49285c6607f17db5cd69cef34bd090 189914 python optional python-pelican_3.2.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGeAxMACgkQ9OZqfMIN8nOq/gCggwT7tAVJneDQIWe7iltsnqB3
ZhQAoIpJqUpUtiKuaqCAO4mC6Hy4o91I
=ufd0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:30:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:54:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.